Last Comment Bug 327488 - [10.4] Can't drag page proxy to mail.app compose window
: [10.4] Can't drag page proxy to mail.app compose window
Status: RESOLVED FIXED
: fixed1.8.1
Product: Camino Graveyard
Classification: Graveyard
Component: Drag & Drop (show other bugs)
: unspecified
: PowerPC Mac OS X
-- normal (vote)
: Camino1.5
Assigned To: froodian (Ian Leue)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-16 09:15 PST by Mike Pinkerton (not reading bugmail)
Modified: 2007-03-31 18:04 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (1.03 KB, patch)
2006-09-03 10:32 PDT, froodian (Ian Leue)
mikepinkerton: superreview+
Details | Diff | Splinter Review

Description User image Mike Pinkerton (not reading bugmail) 2006-02-16 09:15:43 PST
steps:
- load a web page
- launch mail.app and open a compose window
- drag page proxy from camino to compose window

expected:
- should get green (+) and drop

actual:
- springs back

urls dragged from the webpage work fine, it's just the page proxy.
Comment 1 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-02-16 19:16:26 PST
This WFM on 10.3.9 (I don't get the green (+)--we don't show that a lot of places still--but the drag succeeds).

What changed about drags (or about Mail) in 10.4?
Comment 2 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-08-13 01:56:38 PDT
-> 1.2 until we know what's going on
Comment 3 User image froodian (Ian Leue) 2006-09-03 10:32:15 PDT
Created attachment 236626 [details] [diff] [review]
Patch

This just explicitly sets the flag for drags to external apps to "copy".
Comment 4 User image Mike Pinkerton (not reading bugmail) 2006-09-05 07:07:40 PDT
Comment on attachment 236626 [details] [diff] [review]
Patch

sr=pink. 

I think we had to do this on other apps at aol.
Comment 5 User image froodian (Ian Leue) 2006-09-05 08:08:33 PDT
Checked in on trunk and 1.8branch.
Comment 6 User image Samuel Sidler (old account; do not CC) 2007-03-31 18:04:27 PDT
Moving fixed "1.2" bugs to 1.1 where they were really fixed. Filter on CaminoFixed1.1 for bugmail purposes.

Note You need to log in before you can comment on or make changes to this bug.